curl https://api2.ecomailapp.cz/pipelines/1/stats \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/pipelines/1/stats');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"stats": {
"triggered": 1,
"ended": 1,
"open": 0,
"open_rate": 0,
"total_open": 0,
"not_opened": 2,
"send": 2,
"click": 1,
"total_click": 4,
"click_rate": 50,
"inject": 2,
"soft_bounce": 0,
"hard_bounce": 0,
"bounce": 0,
"bounce_rate": 0,
"conversions": 0,
"conversions_value": 0,
"spam": 0,
"unsub": 0,
"delivery_rate": 100
}
}
{
"stats": {
"triggered": 1,
"ended": 1,
"open": 0,
"open_rate": 0,
"total_open": 0,
"not_opened": 2,
"send": 2,
"click": 1,
"total_click": 4,
"click_rate": 50,
"inject": 2,
"soft_bounce": 0,
"hard_bounce": 0,
"bounce": 0,
"bounce_rate": 0,
"conversions": 0,
"conversions_value": 0,
"spam": 0,
"unsub": 0,
"delivery_rate": 100,
"open_in_range": 1,
"click_in_range": 1,
"inject_in_range": 2
}
}
Automations
Get automation stats
Retrieve aggregate statistics for a specific automation.
GET
/
pipelines
/
{pipeline_id}
/
stats
curl https://api2.ecomailapp.cz/pipelines/1/stats \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/pipelines/1/stats');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"stats": {
"triggered": 1,
"ended": 1,
"open": 0,
"open_rate": 0,
"total_open": 0,
"not_opened": 2,
"send": 2,
"click": 1,
"total_click": 4,
"click_rate": 50,
"inject": 2,
"soft_bounce": 0,
"hard_bounce": 0,
"bounce": 0,
"bounce_rate": 0,
"conversions": 0,
"conversions_value": 0,
"spam": 0,
"unsub": 0,
"delivery_rate": 100
}
}
{
"stats": {
"triggered": 1,
"ended": 1,
"open": 0,
"open_rate": 0,
"total_open": 0,
"not_opened": 2,
"send": 2,
"click": 1,
"total_click": 4,
"click_rate": 50,
"inject": 2,
"soft_bounce": 0,
"hard_bounce": 0,
"bounce": 0,
"bounce_rate": 0,
"conversions": 0,
"conversions_value": 0,
"spam": 0,
"unsub": 0,
"delivery_rate": 100,
"open_in_range": 1,
"click_in_range": 1,
"inject_in_range": 2
}
}
integer
required
Automation ID.
string
Filter statistics from this date onwards (
YYYY-MM-DD, UTC). Cannot be more than one year in the past.string
Filter statistics up to this date (
YYYY-MM-DD, UTC). Must be after from_date.from_date and/or to_date), the response includes three additional fields alongside the lifetime totals:
open_in_range— opens that occurred within the selected period.click_in_range— clicks that occurred within the selected period.inject_in_range— e-mails injected (sent) within the selected period.
curl https://api2.ecomailapp.cz/pipelines/1/stats \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/pipelines/1/stats');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"stats": {
"triggered": 1,
"ended": 1,
"open": 0,
"open_rate": 0,
"total_open": 0,
"not_opened": 2,
"send": 2,
"click": 1,
"total_click": 4,
"click_rate": 50,
"inject": 2,
"soft_bounce": 0,
"hard_bounce": 0,
"bounce": 0,
"bounce_rate": 0,
"conversions": 0,
"conversions_value": 0,
"spam": 0,
"unsub": 0,
"delivery_rate": 100
}
}
{
"stats": {
"triggered": 1,
"ended": 1,
"open": 0,
"open_rate": 0,
"total_open": 0,
"not_opened": 2,
"send": 2,
"click": 1,
"total_click": 4,
"click_rate": 50,
"inject": 2,
"soft_bounce": 0,
"hard_bounce": 0,
"bounce": 0,
"bounce_rate": 0,
"conversions": 0,
"conversions_value": 0,
"spam": 0,
"unsub": 0,
"delivery_rate": 100,
"open_in_range": 1,
"click_in_range": 1,
"inject_in_range": 2
}
}